Package com.google.android.exoplayer2.source.dash

## Class DefaultDashChunkSource.RepresentationHolder

- java.lang.Object
- - com.google.android.exoplayer2.source.dash.DefaultDashChunkSource.RepresentationHolder

- Enclosing class:
    DefaultDashChunkSource

      protected static final class DefaultDashChunkSource.RepresentationHolder
      extends Object

  Holds information about a snapshot of a single `Representation`.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `Representation` | `representation` |
    `DashSegmentIndex` | `segmentIndex` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `getFirstAvailableSegmentNum​(long nowUnixTimeUs)` |
    `long` | `getFirstSegmentNum()` |
    `long` | `getLastAvailableSegmentNum​(long nowUnixTimeUs)` |
    `long` | `getSegmentCount()` |
    `long` | `getSegmentEndTimeUs​(long segmentNum)` |
    `long` | `getSegmentNum​(long positionUs)` |
    `long` | `getSegmentStartTimeUs​(long segmentNum)` |
    `RangedUri` | `getSegmentUrl​(long segmentNum)` |
    `boolean` | `isSegmentAvailableAtFullNetworkSpeed​(long segmentNum, long nowPeriodTimeUs)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### representation

          public final Representation representation

    - #### segmentIndex

          @Nullable
          public final DashSegmentIndex segmentIndex

  - ### Method Detail

    - #### getFirstSegmentNum

          public long getFirstSegmentNum()

    - #### getFirstAvailableSegmentNum

          public long getFirstAvailableSegmentNum​(long nowUnixTimeUs)

    - #### getSegmentCount

          public long getSegmentCount()

    - #### getSegmentStartTimeUs

          public long getSegmentStartTimeUs​(long segmentNum)

    - #### getSegmentEndTimeUs

          public long getSegmentEndTimeUs​(long segmentNum)

    - #### getSegmentNum

          public long getSegmentNum​(long positionUs)

    - #### getSegmentUrl

          public RangedUri getSegmentUrl​(long segmentNum)

    - #### getLastAvailableSegmentNum

          public long getLastAvailableSegmentNum​(long nowUnixTimeUs)

    - #### isSegmentAvailableAtFullNetworkSpeed

          public boolean isSegmentAvailableAtFullNetworkSpeed​(long segmentNum,
                                                              long nowPeriodTimeUs)